knot (3.5.3-2) unstable; urgency=medium

  * Team upload.

  [ Luca Boccassi ]
  * Install and use sysusers.d/tmpfiles.d config files

  [ Santiago Ruano Rincón ]
  * Install keymgr in /usb/bin instead of /usr/sbin (Closes: #1109287)
  * Declare in d/clean that doc/modules/ is a directory

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 16 Feb 2026 11:03:07 -0300

knot (3.5.3-1) unstable; urgency=medium

  * Team upload.
  * Disable (temporarily) ARM build jobs from Salsa CI
  * Remove the Priority field from the source package
  * Bump Standards-Version to 4.7.3

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Tue, 20 Jan 2026 14:38:48 -0300

knot (3.5.2-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * New upstream version 3.5.2
  * Add new symbols for 3.5.2

  [ Daniel Salzman ]
  * Add protobuf-compiler to Build-Depends

 -- Jakub Ružička <jru@debian.org>  Tue, 02 Dec 2025 15:43:18 +0100

knot (3.5.1-1) unstable; urgency=medium

  * New upstream version 3.5.1
  * Remove patch included upstream

 -- Jakub Ružička <jru@debian.org>  Fri, 17 Oct 2025 14:33:38 +0200

knot (3.5.0-2) unstable; urgency=medium

  [ Jakub Ružička ]
  * Source-only upload
  * Add patch to fix armel, powerpc, mips build

  [ Daniel Salzman ]
  * Remove no longer needed fix for testing with old KASP DB

 -- Jakub Ružička <jru@debian.org>  Tue, 30 Sep 2025 18:40:47 +0200

knot (3.5.0-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * Upload to unstable
  * New upstream version 3.5.0
  * SONAME bumps: libknot, libdnssec, libzscanner
  * Add script to help with updating libknot symlinks on SONAME bump
  * Add redis-module-knot package with Knot Redis module
  * Split keymgr into knot-keymgr package (Closes: #1109284)
  * Update Standards-Version to latest 4.7.2 (no changes)
  * Remove redundant Rules-Requires-Root: no
  * Adapt authoritative-server test for kzonecheck to autodetection
  * Move deps to Build-Depends-Indep

  [ Daniel Salzman ]
  * Remove no longer needed dpkg-dev (>= 1.22.5) from Build-Depends
  * Remove obsolete Breaks on version 2.9.2-5
  * Add missing libdnssec10 dependency for libknot16
  * Update copyright based on upstream
  * Add knot-keymgr to Depends for authoritative-server tests
  * Move --exclude= parameters to override_dh_missing
  * Update and synchronize package descriptions with upstream

 -- Jakub Ružička <jru@debian.org>  Mon, 29 Sep 2025 16:09:18 +0200

knot (3.4.8-1) experimental; urgency=medium

  * New upstream version 3.4.8
  * Add simple python-libknot autopkgtest

 -- Jakub Ružička <jru@debian.org>  Wed, 30 Jul 2025 18:19:58 +0200

knot (3.4.7-1) experimental; urgency=medium

  * New upstream version 3.4.7 (Closes: #1109283)
  * Use debian/experimental due to Trixie freeze
  * Remove patch included in upstream release
  * Add new symbols for 3.4.7

 -- Jakub Ružička <jru@debian.org>  Mon, 14 Jul 2025 21:39:09 +0200

knot (3.4.6-2) unstable; urgency=medium

  * patch: revert %DISABLE_TLS13_COMPAT_MODE removal (Closes: #1104233)

 -- Jakub Ružička <jru@debian.org>  Wed, 30 Apr 2025 18:29:17 +0200

knot (3.4.6-1) unstable; urgency=medium

  * New upstream version 3.4.6

 -- Jakub Ružička <jru@debian.org>  Thu, 10 Apr 2025 13:29:26 +0200

knot (3.4.5-1) unstable; urgency=medium

  [ Daniel Salzman ]
  * Mute lintian error empty-manual-page for kxdpgun if XDP not available

  [ Jakub Ružička ]
  * Update d/copyright from upstream

 -- Jakub Ružička <jru@debian.org>  Wed, 19 Mar 2025 15:42:14 +0100

knot (3.4.4-1) unstable; urgency=medium

  * New upstream version 3.4.4
  * Add new symbols for 3.4.4

 -- Jakub Ružička <jru@debian.org>  Thu, 23 Jan 2025 12:09:18 +0100

knot (3.4.3-1) unstable; urgency=medium

  * New upstream version 3.4.3
  * Add new symbol for 3.4.3

 -- Jakub Ružička <jru@debian.org>  Fri, 06 Dec 2024 16:39:20 +0100

knot (3.4.2-1) unstable; urgency=medium

  * New upstream version 3.4.2 (Closes: #1085663, #1085349)
  * Enable ARM builds on salsa CI
  * Remove patch included upstream

 -- Jakub Ružička <jru@debian.org>  Thu, 31 Oct 2024 12:59:15 +0100

knot (3.4.1-2) unstable; urgency=medium

  * Add missing #include <stddef.h>

 -- Jakub Ružička <jru@debian.org>  Mon, 14 Oct 2024 20:43:35 +0200

knot (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1
  * Add new libknot15 symbols introduced in 3.4.1

 -- Jakub Ružička <jru@debian.org>  Mon, 14 Oct 2024 14:20:00 +0200

knot (3.4.0-4) unstable; urgency=medium

  [ Daniel Salzman ]
  * Remove knot_quic_* symbols for non-well supported architectures

 -- Jakub Ružička <jru@debian.org>  Mon, 09 Sep 2024 12:48:18 +0200

knot (3.4.0-3) unstable; urgency=medium

  [ Daniel Salzman ]
  * Fix maint mode (disabled fast parser)
  * Enable extra modules and features only for well supported architectures
  * Tiny rules cleanup
  * Remove timeout for tests on well supported architectures
  * Remove ufw configuration
  * Add missing dependency for test libdnssec/test_keystore_pkcs11

  [ Jakub Ružička ]
  * Remove unwanted /usr/sbin/knot-exporter dir (Closes: #1081191)

 -- Jakub Ružička <jru@debian.org>  Mon, 09 Sep 2024 10:49:08 +0200

knot (3.4.0-2) unstable; urgency=medium

  [ Jakub Ružička ]
  * Drop t64 suffix from libknot15 after soname bump (Closes: #1080499)

  [ Daniel Salzman ]
  * Update -latomic usage (Closes: #1080514)
  * Disable DNSTAP on hurd-amd64 and hurd-i386
  * Disable GEOIP on hurd-amd64 and hurd-i386
  * Unification of architecture-dependent exceptions
  * Disable RRL on hurd-amd64 and hurd-i386

 -- Jakub Ružička <jru@debian.org>  Thu, 05 Sep 2024 15:15:17 +0200

knot (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * d/gbp.conf: Use upstream/3.4 branch for 3.4.x
  * SONAME bump: libknot 14 -> 15
  * Move Build-Depends-Indep to Build-Depends
  * Remove unused lintian-overrides

 -- Jakub Ružička <jru@debian.org>  Tue, 03 Sep 2024 12:47:35 +0200

knot (3.3.9-1) unstable; urgency=medium

  * New upstream version 3.3.9 (Closes: #1078625)
  * Add libknot to python3-libknot Depends
  * Update Build-Depends: pkg-config => pkgconf

 -- Jakub Ružička <jru@debian.org>  Mon, 26 Aug 2024 13:07:53 +0200

knot (3.3.8-1) unstable; urgency=medium

  * New upstream version 3.3.8
  * Update Standards-Version to 4.7.0 (no changes)
  * Update my email in Uploaders to jru@debian.org

 -- Jakub Ružička <jru@debian.org>  Mon, 22 Jul 2024 15:32:31 +0200

knot (3.3.7-1) unstable; urgency=medium

  * New upstream version 3.3.7

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 25 Jun 2024 17:47:02 +0200

knot (3.3.6-3) unstable; urgency=medium

  [ Daniel Salzman ]
  * Add new knot_ctl_bind2 symbol to libknot14t64.symbols.hurd-i386

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 17 Jun 2024 12:24:24 +0200

knot (3.3.6-2) unstable; urgency=medium

  * Include 64-bit time_t patch in Salsa

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 14 Jun 2024 14:10:44 +0200

knot (3.3.6-1) unstable; urgency=medium

  * New upstream version 3.3.6
  * Add new knot_ctl_bind2 symbol to libknot14.symbols

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 13 Jun 2024 21:56:14 +0200

knot (3.3.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Restoring rename of libraries for 64-bit time_t transition
    (Closes: #1062491).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 08 Mar 2024 22:56:33 +0100

knot (3.3.5-1) unstable; urgency=medium

  * New upstream version 3.3.5

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 07 Mar 2024 15:01:44 +0100

knot (3.3.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062491

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 14:10:52 +0000

knot (3.3.4-1) unstable; urgency=medium

  * New upstream version 3.3.4

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 24 Jan 2024 14:12:36 +0100

knot (3.3.3-2) unstable; urgency=medium

  [ Daniel Salzman ]
  * debian: synchronize settings for hurd-amd64 with hurd-i386
  * debian/control: disable XDP on loong64 (Closes: #1060123)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 08 Jan 2024 13:34:35 +0100

knot (3.3.3-1) unstable; urgency=medium

  * New upstream version 3.3.3
  * Add new symbols for 3.3.3

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 13 Dec 2023 13:55:57 +0100

knot (3.3.2-1) unstable; urgency=medium

  * New upstream version 3.3.2
  * Remove ${shlibs:Depends} from libknot-dev Depends

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 20 Oct 2023 14:21:35 +0200

knot (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1 (Closes: #1051067)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 11 Sep 2023 14:14:22 +0200

knot (3.3.0-2) unstable; urgency=medium

  [ Daniel Salzman ]
  * Update d/libknot14.symbols.hurd-i386: add missing knot_quic_* symbols
  * Update d/libknot14.symbols.loong64: add symlink to
    libknot14.symbols.hurd-i386

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 30 Aug 2023 16:39:24 +0200

knot (3.3.0-1) unstable; urgency=medium

  * d/gbp.conf: Use upstream/3.3 branch
  * SONAME bump: libknot 13 -> 14
  * knot-doc: Add new BR python3-sphinx-panels
  * knot-doc: Drop broken info docs
  * knot-exporter: New python subpackage
  * Update d/copyright for 3.3.0

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 29 Aug 2023 13:42:48 +0200

knot (3.2.9-1) unstable; urgency=medium

  * New upstream version 3.2.9

  [ Daniel Salzman ]
  * Update d/control: remove exceptions for kfreebsd-amd64 and kfreebsd-i386
  * Update d/libknot13: remove symbols files for kfreebsd-amd64 and kfreebsd-i386

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 28 Jul 2023 09:58:53 +0200

knot (3.2.6-1) unstable; urgency=medium

  * New upstream version 3.2.6
  * Remove patch included upstream

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 04 Apr 2023 13:54:46 +0200

knot (3.2.5-2) unstable; urgency=medium

  [ Daniel Salzman ]
  * Update d/changelog: wrap long lines and fix typos
  * Update d/*NEWS: remove outdated files
  * Update d/knot.install: install D-Bus config to /usr/share/dbus-1/system.d/
  * Update d/control: remove inconsistent 'Multi-Arch: same' hinters
  * Update d/copyright: update some years

  [ Jakub Ružička ]
  * Add upstream patch fixing errors on modules load

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 28 Feb 2023 18:05:42 +0100

knot (3.2.5-1) unstable; urgency=medium

  * New upstream version 3.2.5

  [ Daniel Salzman ]
  * Update d/control: remove dependencies linux-libc-dev and libelf-dev
  * Update d/control: update and unify xdp-dependent architecture exceptions
  * Update d/libknot.symbols: update symbols files for non-xdp architectures
  * Update d/control,rules: switch to external libngtcp2
  * Update d/control: switch from obsolete lsb-base to sysvinit-utils
  * Update d/knot.init: fix RUNDIR creation without knot.tmpfiles
  * Update d/knot.init: remove explicit knotd configuration specification
    to be consistent with knotc
  * Update d/knot.postinst: change ownership and permissions for /var/lib/knot,
    /etc/knot, and /etc/knot/knot.conf
  * Update d/knot.postrm: add missing directories to purge list in postrm script
  * Update d/*.symbols: add Build-Depends-Package to libknot and libdnssec

  [ Jakub Ružička ]
  * Update Standards-Version to 4.6.2 (no changes)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 02 Feb 2023 13:37:42 +0100

knot (3.2.4-1) unstable; urgency=medium

  * New upstream version 3.2.4

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 12 Dec 2022 11:52:06 +0100

knot (3.2.3-1) unstable; urgency=medium

  * New upstream version 3.2.3

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 21 Nov 2022 14:31:59 +0100

knot (3.2.2-1) unstable; urgency=medium

  * New upstream version 3.2.2
  * Update libknot13.symbols

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 01 Nov 2022 12:40:19 +0000

knot (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
    - Compatible with libbpf 1.0 (Closes: #1018911)
  * Add Build-Depends: libxdp-dev where available
  * Remove patch included upstream
  * Update libknot13.symbols
  * Update knot.service from upstream (Closes: #1019583)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 12 Sep 2022 16:06:27 +0000

knot (3.2.0-3) unstable; urgency=medium

  * Add Breaks+Replaces for knot-dnssecutils (Closes: #1018944)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 02 Sep 2022 13:31:57 +0000

knot (3.2.0-2) unstable; urgency=medium

  * Update libknot13 symbols for arches without XDP

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 01 Sep 2022 15:11:32 +0000

knot (3.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster

  [ Jakub Ružička ]
  * gbp: use upstream/3.2 branch
  * Bump SONAMEs: libknot13, libdnssec9
  * New knot-dnssecutils subpackage
  * Enable QUIC
  * Update debian/copyright
  * Sync descriptions with upstream package
  * Bump Standards-Version to 4.6.1
  * Add d/patches/0001-tests-xdp-tcp-fix-under-32bit-platform.patch
  * Update debian/tests

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 24 Aug 2022 11:22:33 +0000

knot (3.1.8-1) unstable; urgency=medium

  * new upstream version 3.1.8

  [ Daniel Salzman ]
  * d/tests/kdig: make the test more stable by using 1.1.1.1 resolver
  * d/tests/kdig: skip the test if no internet access detected

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 28 Apr 2022 11:40:38 +0000

knot (3.1.7-1) unstable; urgency=medium

  * new upstream version 3.1.7

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 30 Mar 2022 15:09:49 +0000

knot (3.1.6-1) unstable; urgency=medium

  * new upstream version 3.1.6
  * d/knot.install: add dbus config file
  * d/copyright: update copyright for 2022

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 10 Feb 2022 16:20:00 +0000

knot (3.1.5-1) unstable; urgency=medium

  * new upstream version 3.1.5

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 04 Jan 2022 14:59:07 +0000

knot (3.1.4-1) unstable; urgency=medium

  * new upstream version 3.1.4

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 04 Nov 2021 11:27:41 +0000

knot (3.1.3-2) unstable; urgency=medium

  * d/tests: add sleep to ensure the server is reloaded

 -- Daniel Salzman <daniel.salzman@nic.cz>  Thu, 21 Oct 2021 13:31:44 +0000

knot (3.1.3-1) unstable; urgency=medium

  * new upstream version 3.1.3

  [ Daniel Salzman ]
  * tests: remove obsolete test for kasp_json2lmdb
  * knot.postinst: fix lintian warning 'maintainer-script-supports-ancient-package-version'
  * kasp_json2lmdb: remove unused and obsolete script
  * get_kaspdb: remove unused and obsolete script
  * get_user: remove unused and obsolete script
  * control: remove no-longer-needed python dependencies
  * TODO: update
  * doc: fix lintian warnings 'embedded-javascript-library'

  [ Libor Peltan ]
  * tests: add simple test of DNSSEC and keymgr

  [ Jakub Ružička ]
  * d/copyright: add url-parser copyright
  * d/control: add Multi-Arch: same to libknot-dev

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 19 Oct 2021 12:02:30 +0000

knot (3.1.2-1) unstable; urgency=medium

  * new upstream version 3.1.2
  * d/copyright: sync with upstream
  * d/knot.maintscript: remove obsolete maintscript

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 08 Sep 2021 15:41:04 +0000

knot (3.1.1-6) unstable; urgency=medium

  * Source-only upload (try #2)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 01 Sep 2021 22:44:55 +0000

knot (3.1.1-5) unstable; urgency=medium

  * Source-only upload to allow migration

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 01 Sep 2021 11:22:33 +0000

knot (3.1.1-4) unstable; urgency=medium

  * Upload to unstable

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 31 Aug 2021 13:13:13 +0000

knot (3.1.1-3) experimental; urgency=medium

  * Bump min symbol versions to 3.1.1
  * d/control: bump Standards-Version to 4.6.0
  * d/control: don't require libmnl-dev on archs without XDP

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 25 Aug 2021 10:42:42 +0000

knot (3.1.1-2) experimental; urgency=medium

  * Remove XDP-specific symbols from unsupported archs
  * d/control: improve Multi-Arch hints

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 24 Aug 2021 11:11:11 +0000

knot (3.1.1-1) experimental; urgency=medium

  * new upstream version 3.1.1
  * d/tests: replace `which` with `command -v`
  * d/knot.service: sync upstream improvements
  * d/control: update Build-Depends
  * Bump SONAMEs: libknot12, libzscanner4

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 17 Aug 2021 16:20:00 +0000

knot (3.0.5-1) unstable; urgency=medium

  * new upstream version 3.0.5

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 25 Mar 2021 13:37:00 +0100

knot (3.0.4-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow migration.

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 04 Feb 2021 10:40:06 +0100

knot (3.0.4-1) unstable; urgency=medium

  * new upstream version 3.0.4
    - Fix segfault when generating new DNSSEC keys on duplicated zones
      (Closes: #977101)
  * move dnstap module to subpackage
  * move geoip module to subpackage

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 21 Jan 2021 15:51:41 +0000

knot (3.0.3-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * new upstream version 3.0.3
  * d/patches: remove makefile patch included upstream

  [ Daniel Salzman ]
  * Improve XDP mode activation

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 15 Dec 2020 07:08:10 -0500

knot (3.0.2-3) unstable; urgency=medium

  * Team upload.
  * Disable xdp on armel. Create d/libknot11.symbols.armel accordingly.
  * Disable fastparser on sh4.
  * Add d/patches/0001-xdp-rework-Makefile.am-to-avoid-make-distcheck-issue.patch
    (Closes: #973815)
  * Remove build-deps not available on hurd and kfreebsds: libbpf-dev,
    libelf-dev linux-libc-dev. Create symbols files accordingly.

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 10 Dec 2020 21:59:10 +0100

knot (3.0.2-2) unstable; urgency=low

  * Team upload.
  * Add debian/salsa-ci.yml.
  * d/tests/kdig: Add a fallback option to query on port 443 when 853 is
    unreachable.
  * Bump Standards-Version to 4.5.1. No changes needed
  * Bump d/watch version to 4. No changes needed, but makes lintian happier
  * Bump debhelper-compat to 13

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 07 Dec 2020 16:00:37 +0100

knot (3.0.2-1) experimental; urgency=medium

  * New upstream version 3.0.2
  * debian/libknot11.symbols: add 2 new symbols

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 12 Nov 2020 09:46:41 -0500

knot (3.0.1-1) experimental; urgency=medium

  * New upstream version 3.0.1
  * Bump SONAMEs: libknot11, libdnssec8
  * debian/*.symbols: update symbols
  * debian/*.install: add new files
  * debian/docs: README is now README.md
  * debian/knot.service: update from upstream
  * debian/copyright: remove obsolete lmdb entry
  * debian/control: update knot-dnsutils description
  * debian/control: add build deps for XDP support
  * debian/control: add build dep for DoH support
  * debian/control: add myself to Uploaders
  * debian/gbp.conf: use new upstream/3.0 branch
  * debian/gbp.conf: use debian/experimental branch

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 22 Oct 2020 08:56:49 -0400

knot (2.9.6-1) unstable; urgency=medium

  * New upstream version 2.9.6

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 01 Sep 2020 16:30:41 +0200

knot (2.9.5-1) unstable; urgency=medium

  * New upstream version 2.9.5 (Closes: #961075)

 -- Robert Edmonds <edmonds@debian.org>  Mon, 25 May 2020 23:16:17 -0400

knot (2.9.3-1) unstable; urgency=medium

  * new upstream version

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 05 Mar 2020 18:22:48 -0500

knot (2.9.2-5) unstable; urgency=medium

  * move Vcs-Git back to debian/master, since we are not in experimental
    any more
  * wrap-and-sort -ast
  * move kzonecheck into knot-dnsutils (Closes: #925035)
  * drop unnecessary empty plugin directory (fixed upstream)
  * debhelper: bump to dh 12
  * include ${misc:Pre-Depends} for knot, to resolve
    skip-systemd-native-flag-missing-pre-depends
  * clean up .pybuild/ as well
  * drop dbgsym migration

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 28 Feb 2020 17:53:33 -0500

knot (2.9.2-4) unstable; urgency=medium

  [ Robert Edmonds ]
  * debian/control: Add ">= 5.1" version for python3-yaml build dependency (Closes: #949931)

  [ Ondřej Surý ]
  * Upload to unstable

 -- Ondřej Surý <ondrej@debian.org>  Fri, 21 Feb 2020 11:51:46 +0100

knot (2.9.2-3) experimental; urgency=medium

  * debian/rules: Run pybuild's configure step in
    override_dh_auto_configure-indep

 -- Robert Edmonds <edmonds@debian.org>  Sun, 26 Jan 2020 16:31:16 -0500

knot (2.9.2-2) experimental; urgency=medium

  * Build a python3-libknot package containing the libknot Python bindings
    (Closes: #913701)

 -- Robert Edmonds <edmonds@debian.org>  Sat, 25 Jan 2020 15:51:36 -0500

knot (2.9.2-1) experimental; urgency=medium

  * New upstream version 2.9.2

  [ Daniel Kahn Gillmor ]
  * d/control, d/gbp.conf: pointing to DEP-14 debian/experimental branch
    (revert before releasing to unstable!)

  [ Robert Edmonds ]
  * debian/gbp.conf: Set "upstream-branch = upstream/2.9"
  * debian/patches/0002-zonefile-Verify-mtime-against-full-precision-
    timesta.patch: Remove, applied upstream
  * Bump SONAMEs: libknot10, libdnssec7, libzscanner3
  * debian/control: Drop Replaces/Breaks on knot-libs (<< 2.0.1-4)
  * debian/control: Drop obsolete Replaces/Breaks on old library packages
  * debian/rules: Set environment variable KNOT_VERSION_FORMAT=release
  * debian/patches/0001-avoid-git-version-inclusion-in-debian-
    packages.patch: Remove
  * debian/*.symbols: Update symbol files for added/removed symbols in new
    library SONAMEs
  * debian/*.symbols: Bump minimum versions to 2.9.2 for all symbols
  * debian/copyright: Fix path to src/contrib/vpool/* files
  * debian/knot-doc.doc-base: Remove PDF registration

 -- Robert Edmonds <edmonds@debian.org>  Fri, 24 Jan 2020 22:36:09 -0500

knot (2.7.8-1) unstable; urgency=medium

  * New upstream version 2.7.8

  [ Daniel Salzman ]
  * Remove resolved lintian-overrides
  * Don't require libcap-ng-dev on kfreebsd-i386, kfreebsd-amd64, and
    hurd-i386
  * Update copyright (Closes: #925905)
  * Fix typo in copyright
  * Don't include pdf to doc package
  * Fix unsafe usage of yaml.load() (Closes: #933917)

  [ Diederik de Haas ]
  * Remove knslookup from description as it is not provided.

  [ Santiago Ruano Rincón ]
  * Revert changes about excluding pdf files in distro/deb/rules, moving
    them to debian/rules (Closes: #933285)

  [ Robert Edmonds ]
  * debian/gbp.conf: Set "upstream-branch = upstream/2.7"
  * debian/gbp.conf: [import-orig] Also filter config.guess, config.sub
  * debian/patches/0003-correct-kdig-documentation-about-no-crypto.patch:
    Remove, applied upstream
  * debian/control: Add myself to Uploaders
  * debian/control: Bump Standards-Version to 4.5.0 (no changes)
  * debian/copyright: Fix path to src/libdnssec/contrib/vpool/ files

 -- Robert Edmonds <edmonds@debian.org>  Fri, 24 Jan 2020 19:48:01 -0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libzscanner5`.
